Syntax error - LIBOSMOCORE

alfonso caponi alfonso.caponi at gmail.com
Thu Mar 29 14:24:44 UTC 2012


"pkg-config is already the newest version." :(

If I try to comment the lines in src/host/layer23/configure

PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore)
PKG_CHECK_MODULES(LIBOSMOVTY, libosmovty)
PKG_CHECK_MODULES(LIBOSMOGSM, libosmogsm)
PKG_CHECK_MODULES(LIBOSMOCODEC, libosmocodec)

I've an include error:

l1ctl.c:33:41: fatal error: include/osmocom/core/signal.h: No such file or
directory
compilation terminated.

signal.h exists into src/shared/libosmocore/include/osmocom/core/signal.h

:(

2012/3/29 Holger Hans Peter Freyther <holger at freyther.de>

> On 03/29/2012 02:48 PM, alfonso caponi wrote:
>
> > checking for ranlib... ranlib
> > ./configure: line 3508: syntax error near unexpected token `LIBOSMOCORE,'
> > ./configure: line 3508: `PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore)'
> > make: *** [host/layer23/Makefile] Error 2
>
> install pkg-config
>
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/baseband-devel/attachments/20120329/beb0823c/attachment.html>


More information about the baseband-devel mailing list